Bug 1798220 - No longer able to pass additional descheduler flags to descheduler-operator
Summary: No longer able to pass additional descheduler flags to descheduler-operator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-scheduler
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Mike Dame
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-04 20:39 UTC by Mike Dame
Modified: 2020-05-04 11:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:33:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-descheduler-operator pull 68 0 None closed Bug 1798220: Re-enable ability to pass additional flags to descheduler pod 2020-08-04 06:42:59 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:33:48 UTC

Description Mike Dame 2020-02-04 20:39:35 UTC
PR https://github.com/openshift/cluster-kube-descheduler-operator/pull/66 inadvertently removed the ability to pass additional flags (beyond those that are operator parameters, such as `--dry-run`) to the descheduler. This should be re-enabled

Comment 1 Mike Dame 2020-02-04 20:41:29 UTC
QA: This can be tested by attempting to deploy the descheduler operator with an additional flag, such as:

```
flags:
 - --dry-run
```

Comment 6 errata-xmlrpc 2020-05-04 11:33:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.